Index: main/udptl.c
===================================================================
--- main/udptl.c	(revision 239190)
+++ main/udptl.c	(working copy)
@@ -762,6 +762,9 @@
 {
 	unsigned new_max = 0;
 
+	ast_debug(1, "UDPTL (%s): calculating far max ifp using far maxdatagram to %d\n",
+			LOG_TAG(udptl), udptl->far_max_datagram);
+
 	if (udptl->far_max_datagram == -1) {
 		ast_log(LOG_WARNING, "(%s): Cannot calculate far_max_ifp before far_max_datagram has been set.\n",
 			LOG_TAG(udptl));
@@ -817,6 +820,8 @@
 	}
 	/* subtract 5% of space for insurance */
 	udptl->far_max_ifp = new_max * 0.95;
+	ast_debug(1, "UDPTL (%s): calculated far max ifp as %d\n",
+			LOG_TAG(udptl), udptl->far_max_ifp);
 }
 
 enum ast_t38_ec_modes ast_udptl_get_error_correction_scheme(const struct ast_udptl *udptl)
@@ -869,6 +874,8 @@
 
 void ast_udptl_set_far_max_datagram(struct ast_udptl *udptl, unsigned int max_datagram)
 {
+	ast_debug(1, "UDPTL (%s): setting far maxdatagram to %d\n",
+			LOG_TAG(udptl), max_datagram);
 	udptl->far_max_datagram = max_datagram;
 	/* reset calculated values so they'll be computed again */
 	udptl->far_max_ifp = -1;
@@ -1052,9 +1059,9 @@
 
 	if (len > s->far_max_ifp) {
 		ast_log(LOG_WARNING,
-			"(%s): UDPTL asked to send %d bytes of IFP when far end only prepared to accept %d bytes; data loss will occur."
+			"(%s): UDPTL asked to send %d bytes of IFP when far end only prepared to accept %d bytes (far max datagram %d); data loss will occur."
 			"You may need to override the T38FaxMaxDatagram value for this endpoint in the channel driver configuration.\n",
-			LOG_TAG(s), len, s->far_max_ifp);
+			LOG_TAG(s), len, s->far_max_ifp, s->far_max_datagram);
 		len = s->far_max_ifp;
 	}
 
